FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202005180840 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202005180840 
ENV __doozer=merge OS_GIT_COMMIT=de1a357 OS_GIT_VERSION=4.4.0-202005180840-de1a357 SOURCE_DATE_EPOCH=1581024213 SOURCE_GIT_COMMIT=de1a3573c417ccbc00abbfa436ecd90bb1730bb6 SOURCE_GIT_TAG=de1a3573 SOURCE_GIT_URL=https://github.com/openshift/cluster-dns-operator 
WORKDIR /dns-operator
COPY . .
RUN make build

FROM openshift/ose-base:v4.4.0.20200518.084100
ENV __doozer=update BUILD_RELEASE=202005180840 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202005180840 
ENV __doozer=merge OS_GIT_COMMIT=de1a357 OS_GIT_VERSION=4.4.0-202005180840-de1a357 SOURCE_DATE_EPOCH=1581024213 SOURCE_GIT_COMMIT=de1a3573c417ccbc00abbfa436ecd90bb1730bb6 SOURCE_GIT_TAG=de1a3573 SOURCE_GIT_URL=https://github.com/openshift/cluster-dns-operator 
COPY --from=builder /dns-operator/dns-operator /usr/bin/
COPY manifests /manifests
RUN useradd dns-operator
USER dns-operator
ENTRYPOINT ["/usr/bin/dns-operator"]

LABEL \
        io.openshift.release.operator="true" \
        io.k8s.display-name="OpenShift dns-operator" \
        io.k8s.description="This is a component of OpenShift and manages the lifecycle of cluster DNS services." \
        maintainer="Dan Mace <dmace@redhat.com>" \
        name="openshift/ose-cluster-dns-operator" \
        com.redhat.component="ose-cluster-dns-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        version="v4.4.0" \
        release="202005180840" \
        io.openshift.build.commit.id="de1a3573c417ccbc00abbfa436ecd90bb1730bb6" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-dns-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-dns-operator/commit/de1a3573c417ccbc00abbfa436ecd90bb1730bb6"

